ArgumentProcessor (Apache Ant API)
Date: 2018-07-10

org.apache.tools.ant

## Interface ArgumentProcessor

-     public interface ArgumentProcessor

  Processor of arguments of the command line.

  Arguments supported by third party code should not conflict with Ant core ones. It is then recommended to chose specific 'enough' argument name, avoiding for instance one letter arguments. By the way, if there any conflict, Ant will take precedence.

  Since:
    1.9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleArg(java.util.List<java.lang.String> args)` If some arguments matched with `readArguments(String[], int)`, this method is called after all arguments were parsed.
    `boolean` | `handleArg(Project project, java.util.List<java.lang.String> arg)` Handle the arguments with `readArguments(String[], int)`, just after the project being configured.
    `void` | `prepareConfigure(Project project, java.util.List<java.lang.String> args)` If some arguments matched with `readArguments(String[], int)`, this method is called just before the project being configured
    `void` | `printUsage(java.io.PrintStream writer)` Print the usage of the supported arguments
    `int` | `readArguments(java.lang.String[] args, int pos)` Read the arguments from the command line at the specified position

- - ### Method Detail

    - #### readArguments

          int readArguments(java.lang.String[] args,
                            int pos)

      Read the arguments from the command line at the specified position

      If the argument is not supported, returns -1. Else, the position of the first argument not supported.

      Parameters:
        `args` - String[]
        `pos` - int
      Returns:
        int

    - #### handleArg

          boolean handleArg(java.util.List<java.lang.String> args)

      If some arguments matched with `readArguments(String[], int)`, this method is called after all arguments were parsed. Returns `true` if Ant should stop there, ie the build file not parsed and the project should not be executed.
      Parameters:
        `args` - List<String>
      Returns:
        boolean

    - #### prepareConfigure

          void prepareConfigure(Project project,
                                java.util.List<java.lang.String> args)

      If some arguments matched with `readArguments(String[], int)`, this method is called just before the project being configured
      Parameters:
        `project` - Project
        `args` - List<String>

    - #### handleArg

          boolean handleArg(Project project,
                            java.util.List<java.lang.String> arg)

      Handle the arguments with `readArguments(String[], int)`, just after the project being configured. Returns `true` if Ant should stop there, ie the build file not parsed and the project should not be executed.
      Parameters:
        `project` - Project
        `arg` - List<String>
      Returns:
        boolean

    - #### printUsage

          void printUsage(java.io.PrintStream writer)

      Print the usage of the supported arguments
      Parameters:
        `writer` - PrintStream
      See Also:
        `Main.printUsage()`